> For the complete documentation index, see [llms.txt](https://docs.uibakery.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uibakery.io/reference/performance.md).

# Performance optimization

This section describes common performance issues and optimization techniques.

## Hidden Components

If you have many hidden components and are experiencing performance issues, this could be an area for optimization. Most of these issues can be resolved by setting the component's S*how Condition* hide mode to **Not rendered**.

By default, all components use the **Hidden** hide mode, so they are rendered during page initialization but remain hidden. Using the *Not rendered* hide mode instead will prevent them from being rendered during page initialization, and they will only be rendered when they become visible.

Check out this article to learn more about component visibility:point\_down:

{% content-ref url="/pages/3wyuQoCSnxhnxJZRZbcV" %}
[Controlling component's visibility](/concepts/components/work-with-components/control-components-visibility.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.uibakery.io/reference/performance.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
